<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function ngpcampaign_home_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_node_info().
 */
function ngpcampaign_home_node_info() {
  $items = array(
    'action' => array(
      'name' => t('Action Item'),
      'module' => 'features',
      'description' => t('An action item which will appear in a special block on the homepage'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '1',
      'body_label' => t('Body'),
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_views_api().
 */
function ngpcampaign_home_views_api() {
  return array(
    'api' => '2',
  );
}
