<?php

/**
 * Helper to implementation of hook_content_default_fields().
 */
function _ngpcampaign_video_content_default_fields() {
  $fields = array();

  // Exported field: field_video
  $fields[] = array(
    'field_name' => 'field_video',
    'type_name' => 'video',
    'display_settings' => array(
      'weight' => '-3',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'video_preview',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'video_video',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'emvideo',
    'required' => '0',
    'multiple' => '0',
    'module' => 'emvideo',
    'active' => '1',
    'widget' => array(
      'video_width' => '425',
      'video_height' => '350',
      'video_autoplay' => '',
      'preview_width' => '270',
      'preview_height' => '206',
      'preview_autoplay' => '',
      'thumbnail_width' => '120',
      'thumbnail_height' => '90',
      'thumbnail_default_path' => '',
      'thumbnail_link_title' => 'See video',
      'providers' => array(
        'youtube' => TRUE,
        '0' => 1,
        'archive' => FALSE,
        'bliptv' => FALSE,
        'dailymotion' => FALSE,
        'google' => FALSE,
        'guba' => FALSE,
        'imeem' => FALSE,
        'lastfm' => FALSE,
        'livevideo' => FALSE,
        'metacafe' => FALSE,
        'myspace' => FALSE,
        'revver' => FALSE,
        'sevenload' => FALSE,
        'spike' => FALSE,
        'tudou' => FALSE,
        'twistage' => FALSE,
        'ustream' => FALSE,
        'ustreamlive' => FALSE,
        'vimeo' => FALSE,
        'voicethread' => FALSE,
        'yahoomusic' => FALSE,
        'zzz_custom_url' => FALSE,
      ),
      'default_value' => array(
        '0' => array(
          'embed' => '',
          'value' => '',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'video',
      'weight' => '-3',
      'description' => '',
      'type' => 'emvideo_textfields',
      'module' => 'emvideo',
    ),
  );

  // Translatables
  array(
    t('video'),
  );

  return $fields;
}

/**
 * Helper to implementation of hook_user_default_permissions().
 */
function _ngpcampaign_video_user_default_permissions() {
  $permissions = array();

  // Exported permission: create video content
  $permissions[] = array(
    'name' => 'create video content',
    'roles' => array(),
  );

  // Exported permission: delete any video content
  $permissions[] = array(
    'name' => 'delete any video content',
    'roles' => array(),
  );

  // Exported permission: delete own video content
  $permissions[] = array(
    'name' => 'delete own video content',
    'roles' => array(),
  );

  // Exported permission: edit any video content
  $permissions[] = array(
    'name' => 'edit any video content',
    'roles' => array(),
  );

  // Exported permission: edit own video content
  $permissions[] = array(
    'name' => 'edit own video content',
    'roles' => array(),
  );

  return $permissions;
}
